org.jbpm.process.workitem

## Class AbstractLogOrThrowWorkItemHandler

- java.lang.Object
- - org.jbpm.process.workitem.AbstractLogOrThrowWorkItemHandler

- All Implemented Interfaces:
    org.kie.api.runtime.process.WorkItemHandler
  Direct Known Subclasses:
    ArchiveWorkItemHandler, EmailWorkItemHandler, ExecWorkItemHandler, FTPUploadWorkItemHandler, JabberWorkItemHandler, JavaHandlerWorkItemHandler, JavaInvocationWorkItemHandler, JMSSendTaskWorkItemHandler, JPAWorkItemHandler, ParserWorkItemHandler, RestGeoCodeApiCallWorkItemHandler, RESTWorkItemHandler, RSSWorkItemHandler, ServiceTaskHandler, TransformWorkItemHandler, WebServiceWorkItemHandler

      public abstract class AbstractLogOrThrowWorkItemHandler
      extends Object
      implements org.kie.api.runtime.process.WorkItemHandler

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `logThrownException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLogOrThrowWorkItemHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleException(Throwable cause)`
    `protected void` | `handleException(Throwable cause, Map<String,Object> handlerInfoMap)`
    `void` | `setLogThrownException(boolean logException)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.runtime.process.WorkItemHandler

      `abortWorkItem, executeWorkItem`

- - ### Field Detail

    - #### logThrownException

          protected boolean logThrownException

  - ### Constructor Detail

    - #### AbstractLogOrThrowWorkItemHandler

          public AbstractLogOrThrowWorkItemHandler()

  - ### Method Detail

    - #### setLogThrownException

          public void setLogThrownException(boolean logException)

    - #### handleException

          protected void handleException(Throwable cause)

    - #### handleException

          protected void handleException(Throwable cause,
                                         Map<String,Object> handlerInfoMap)

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.